RESOURCE_INT_VALUE(9)

NAME
resource_int_value, resource_long_value, resource_string_value - get a value from the hints mechanism

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
resource_int_value(const char *name, int unit, const char *resname, int *result);
int
resource_long_value(const char *name, int unit, const char *resname, long *result);
int
resource_string_value(const char *name, int unit, const char *resname, const char **result);

DESCRIPTION
These functions fetch a value from the “hints” mechanism.

The functions take the following arguments:

name
    The name of the device to get the resource value from.

unit
    The unit number of the device. -1 is special and is used for wildcard entries.

resname
    The resource name.

result
    A pointer to memory in which to store the resource value.

RETURN VALUES
If successful, the functions return 0. Otherwise, a non-zero error code is returned.

ERRORS
The functions will fail if:

[ENOENT]
    The resource could not be found.

[EFTYPE]
    Inappropriate resource type.

SEE ALSO
device(9), driver(9)

AUTHORS
This manual page was written by Warner Losh <imp@FreeBSD.org>.